Delete bank account
Delete the bank account account_id linked to this bank_connection_id bank connection for consumer consumer_id.
DELETE
/
consumers
/
{consumer_id}
/
banks
/
{bank_mapper}
/
accounts
/
{account_external_id}
Delete bank account
curl --request DELETE \
--url https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Path Parameters
Unique identifier of the bank.
Unique ID of the bank account that you have registered when the bank account was created.
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Response
Successful Response
Was this page helpful?
Previous
Create a bulk of transactionsInserts multiple transactions to consumer `consumer_id` using a bulk.
Next
⌘I
Delete bank account
